// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.Commands;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.Subsystems.Accumulateur;
import frc.robot.Subsystems.LED;

public class LEDactive extends Command {
  private Accumulateur accumulateur;
  private LED led;
  /** Creates a new LEDactive. */
  public LEDactive(Accumulateur accumulateur, LED led) {
    this.accumulateur = accumulateur;
    this.led = led;
    addRequirements(accumulateur,led);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    if(accumulateur.photocell())
    led.led(0, 255, 0);
    else{
      led.led(25, 25, 100);
    }
  }
  

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    led.led(25, 25, 100);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
